using System.IO;
using System.Net;
using System.Net.Sockets;
using UnityEngine;

namespace Passer {

    public class RoboidStarter : INetworkingStarter {

        //public int nssPort = 7681;
        //protected UdpClient udpClient;
        //protected IPEndPoint endPoint;
        //protected Stream dataStream;

        GameObject INetworkingStarter.GetHumanoidPrefab() {
            GameObject humanoidPrefab = Resources.Load<GameObject>("HumanoidPlayer");
            return humanoidPrefab;
        }

        void INetworkingStarter.StartClient(NetworkingStarter nwStarter) {
            ((INetworkingStarter)this).StartClient(nwStarter, nwStarter.roomName, nwStarter.gameVersion);
        }

        void INetworkingStarter.StartClient(NetworkingStarter nwStarter, string roomName, int gameVersion) {
            //endPoint = new IPEndPoint(IPAddress.Any, nssPort);
            //udpClient = new UdpClient(endPoint);

            GameObject humanoidPrefab = Resources.Load<GameObject>("HumanoidPlayer");
            GameObject.Instantiate(humanoidPrefab);
        }

        void INetworkingStarter.StartHost(NetworkingStarter nwStarter) {
            ((INetworkingStarter)this).StartClient(nwStarter);
        }

        void INetworkingStarter.StopClient() {
        }
    }

}