using UnityEngine;
using Passer.Control;

public class Thing : MonoBehaviour {
    public Client client;
    public byte networkId;
    public byte thingId;
    public byte objectType;
    //protected Sensor sensor;

    protected virtual void Init() {
        //if (this.objectType == 2) {
        //    sensor = this.gameObject.AddComponent<DistanceSensor>();
        //    sensor.thing = this;
        //}
    }

    public static Thing Create(GameObject obj, Client client, byte objId, byte objType) {
        Thing thing = obj.AddComponent<Thing>();
        thing.client = client;
        thing.thingId = objId;
        thing.objectType = objType;
        thing.networkId = client.networkId;
        thing.Init();

        return thing;
    }

    public virtual Thing CopyTo(GameObject obj) {
        //Debug.Log($"copy {obj}");
        Thing foundThing = Thing.Create(obj, this.client, this.thingId, this.objectType);
        Destroy(this.gameObject);
        return foundThing;
    }

    //public void ProcessBytes(byte[] bytes) {
    //    if (sensor != null)
    //        sensor.ProcessBytes(bytes);
    //}
    //public void Update() {
    //    if (objectId == 0)
    //        Debug.Log(this.transform.eulerAngles);
    //}
}
